unbound: packed_rrset_key Struct Reference

unbound 0.1

Data Fields
packed_rrset_key Struct Reference

The identifying information for an RRset. More...

`#include <packed_rrset.h>`

## Data Fields
uint8_t * | dname
| The domain name.
size_t | dname_len
| Length of the domain name, including last 0 root octet.
uint32_t | flags
| Flags.
uint16_t | type
| the rrset type in network format
uint16_t | rrset_class
| the rrset class in network format

## Detailed Description

The identifying information for an RRset.

## Field Documentation

## ◆ dname

uint8_t* packed_rrset_key::dname

The domain name.

If not null (for id=0) it is allocated, and contains the wireformat domain name. This dname is not canonicalized.

Referenced by add_item(), assemble_it(), assembled_rrset_delete(), auth_packed_rrset_copy_region(), auth_zone_verify_zonemd_key_with_ds(), autr_rrset_delete(), autr_tp_remove(), az_change_dnames(), calc_data_need(), cname_under_previous_dname(), compress_owner(), delegpt_add_rrset_A(), delegpt_add_rrset_AAAA(), delegpt_from_message(), derive_cname_from_dname(), dns64_adjust_a(), dns64_adjust_ptr(), dns_cache_find_delegation(), dnskey_verify_rrset_sig(), ds_create_dnskey_digest(), dump_msg_ref(), errinf_rrset(), extended_error_encode(), fill_res(), filter_init(), filter_next(), generate_a_aaaa_check(), handle_cname_response(), insert_can_owner(), insert_query(), iter_ds_toolow(), iter_msg_from_zone(), iter_scrub_ds(), iter_store_parentside_neg(), key_entry_get_rrset(), limit_nsec_ttl(), load_rr(), local_data_answer(), local_data_find_tag_datas(), local_zones_zone_answer(), log_rrset_key(), make_soa_ubrrset(), mesh_state_add_reply(), move_into_cache(), msg_rrset_duplicate(), neg_insert_data(), new_local_rrset(), new_rrset(), no_data_for_rrsig(), nsec3_covers(), nsec3_get_nextowner_b32(), nsec3_hash_matches_owner(), nsec3_hash_test_entry(), nsec_closest_encloser(), nsec_proves_nodata(), packed_rr_to_string(), packed_rrset_copy_alloc(), packed_rrset_copy_region(), packed_rrset_encode(), parse_copy_decompress_rrset(), prepend_is_duplicate(), processFindKey(), processQueryResponse(), processTargetResponse(), qinfo_query_encode(), remove_spurious_authority(), repinfo_copy_rrsets(), reply_check_cname_chain(), reply_find_answer_rrset(), reply_find_final_cname_target(), reply_find_rrset(), reply_find_rrset_section_an(), reply_find_rrset_section_ns(), respip_copy_rrset(), respip_data_answer(), respip_inform_print(), response_type_from_cache(), response_type_from_server(), rpz_apply_cname_override_action(), rpz_synthesize_cname_override_msg(), rrset_cache_lookup(), rrset_cache_remove(), rrset_cache_update(), rrset_cache_update_wildcard(), rrset_canonical(), rrset_canonical_equal(), rrset_canonical_sort_cmp(), rrset_canonicalize_to_buffer(), rrset_equal(), rrset_key_hash(), set_next_probe(), should_be_bogus(), synth_dname_msg(), ub_packed_rrset_heap_key(), ub_packed_rrset_parsedelete(), ub_rrset_compare(), ub_rrset_key_delete(), val_check_nonsecure(), val_classify_response(), val_fill_reply(), val_find_signer(), val_mark_indeterminate(), val_mark_insecure(), val_neg_addreferral(), val_neg_addreply(), val_neg_getmsg(), val_nsec_prove_nodata_dsreply(), val_nsec_proves_insecuredelegation(), val_nsec_proves_name_error(), val_rrset_wildcard(), val_verify_DNSKEY_with_DS(), val_verify_DNSKEY_with_TA(), val_verify_new_DNSKEYs(), val_verify_new_DNSKEYs_with_ta(), val_verify_rrset_entry(), validate_any_response(), validate_cname_response(), validate_msg_signatures(), validate_positive_response(), verifytest_file(), verifytest_rrset(), worker_handle_request(), zone_del_rrset(), zonemd_dnssec_verify_rrset(), zonemd_get_dnskey_from_anchor(), zonemd_simple_rrset(), and zonemd_simple_rrsig().

## ◆ flags

uint32_t packed_rrset_key::flags

Flags.

32bit to be easy for hashing: o PACKED_RRSET_NSEC_AT_APEX o PACKED_RRSET_PARENT_SIDE o PACKED_RRSET_SOA_NEG o PACKED_RRSET_FIXEDTTL (not supposed to be cached) o PACKED_RRSET_RPZ o PACKED_RRSET_UNVERIFIED_GLUE o PACKED_RRSET_UPSTREAM_0TTL (not supposed to be cached)

Referenced by dump_msg_ref(), dump_rrset(), iter_store_parentside_neg(), iter_store_parentside_rrset(), load_rrset(), local_data_find_tag_datas(), local_zone_enter_rr(), make_soa_ubrrset(), negative_del_rrset(), packed_rrset_encode(), parse_copy_decompress_rrset(), respip_data_answer(), rpz_synthesize_cname_override_msg(), rrset_cache_lookup(), rrset_cache_remove(), rrset_canonical_equal(), rrset_equal(), rrset_key_hash(), synth_dname_msg(), ub_rrset_compare(), and val_verify_rrset_entry().

The documentation for this struct was generated from the following file:

- util/data/packed_rrset.h